using System;
using be.ehealth.businessconnector.mycarenet.agreementasyncv2.session;
using NUnit.Framework;
using be.fgov.ehealth.technicalconnector.tests.utils;
using ikvm.extensions;
using be.fgov.ehealth.technicalconnector.tests.session;
using be.ehealth.technicalconnector.utils;
using be.ehealth.technicalconnector.enumeration;
using be.ehealth.businessconnector.genericasync.domain;
using be.cin.mycarenet._1_0.carenet.types;
using be.cin.encrypted;
using be.cin.nip.async.generic;

namespace be.ehealth.businessconnector.mycarenet.agreementasyncv2.session
{
	
	[TestFixture]
	public class AgreementGetAsyncLogopedistIntegrationTest : AbstractBaseIntegrationTest {
		
		[SetUp]
        public void init() {
            java.util.Properties props = new java.util.Properties();
            props.put("session.environment", "acc");
            props.put("session.professionType", "perslogopedist");
            props.put("session.username", "nicolas");
            SessionInitializer.init(props, true, SupportedLanguages.NET.getAbbreviation());
        }
		
		[Test]
		public void getEAgreementResponse() {
			getEAgreementResponse("03-LOG-EMEHA");
		}
	}
}
